Unable to install Ubuntu on the NVMe disk under VMD PCI domain

Bug #1703339 reported by Tomasz Majchrzak on 2017-07-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
linux (Ubuntu)
Medium
Seth Forshee
Xenial
Undecided
Unassigned
Artful
Medium
Seth Forshee

Bug Description

It is not possible to install Ubuntu on the NVMe disk under VMD (Volume Management Device) PCI domain. The disk is not visible in the installer because VMD module is not available at this stage.

I'm raising it against kernel package as I have impression VMD module must be included in linux-image dpkg package, not linux-image-extra.

Please also assure VMD module gets included in initramfs by installer (if necessary).

For more information about VMD please see bug 1591806.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-generic 4.10.0.26.28
ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17
Uname: Linux 4.10.0-26-generic x86_64
ApportVersion: 2.20.5-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: tomasz 1659 F...m pulseaudio
 /dev/snd/controlC0: tomasz 1659 F.... pulseaudio
 /dev/snd/timer: tomasz 1659 f.... pulseaudio
CurrentDesktop: GNOME
Date: Mon Jul 10 10:40:20 2017
HibernationDevice: RESUME=/dev/mapper/ubuntu--vg-swap_1
InstallationDate: Installed on 2017-07-06 (3 days ago)
InstallationMedia: Ubuntu-Server 17.10 "Artful Aardvark" - Alpha amd64 (20170702)
IwConfig:
 lo no wireless extensions.

 enp0s3 no wireless extensions.
Lsusb:
 Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
ProcFB: 0 vboxdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-26-generic root=/dev/mapper/hostname--vg-root ro
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-26-generic N/A
 linux-backports-modules-4.10.0-26-generic N/A
 linux-firmware 1.167
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.board.name: VirtualBox
dmi.board.vendor: Oracle Corporation
dmi.board.version: 1.2
dmi.chassis.type: 1
dmi.chassis.vendor: Oracle Corporation
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

Tomasz Majchrzak (tmajchrzak) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Changed in linux (Ubuntu Artful):
status: Confirmed → Triaged
Seth Forshee (sforshee) on 2017-08-02
Changed in linux (Ubuntu Artful):
assignee: nobody → Seth Forshee (sforshee)
status: Triaged → In Progress
Seth Forshee (sforshee) on 2017-08-02
Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.12.0-11.12

---------------
linux (4.12.0-11.12) artful; urgency=low

  * linux: 4.12.0-11.12 -proposed tracker (LP: #1709929)

  * CVE-2017-1000111
    - packet: fix tp_reserve race in packet_set_ring

  * CVE-2017-1000112
    - udp: consistently apply ufo or fragmentation

  * Please only recommend or suggest initramfs-tools | linux-initramfs-tool for
    kernels able to boot without initramfs (LP: #1700972)
    - Revert "UBUNTU: [Debian] Don't depend on initramfs-tools"
    - [Debian] Don't depend on initramfs-tools

  * Miscellaneous Ubuntu changes
    - SAUCE: (noup) Update spl to 0.6.5.11-ubuntu1, zfs to 0.6.5.11-1ubuntu3
    - SAUCE: powerpc: Always initialize input array when calling epapr_hypercall()

  * Miscellaneous upstream changes
    - selftests: typo correction for memory-hotplug test
    - selftests: check hot-pluggagble memory for memory-hotplug test
    - selftests: check percentage range for memory-hotplug test
    - selftests: add missing test name in memory-hotplug test
    - selftests: fix memory-hotplug test

 -- Seth Forshee <email address hidden> Thu, 10 Aug 2017 13:37:00 -0500

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Tomasz Majchrzak (tmajchrzak) wrote :

Has the change been applied to Ubuntu Server? It still doesn't seem to be working there.

Seth Forshee (sforshee) wrote :

Are you testing artful? I just confirmed that vmd.ko is included in the main kernel package in artful.

Tomasz Majchrzak (tmajchrzak) wrote :

Yes, I tested it today with artful.

It works fine for Ubuntu 17.10 (Artful Aardvark) Daily Build (vmd.ko present)

It doesn't work for Ubuntu Server 17.10 (Artful Aardvark) Daily Build (no vmd.ko). I see it has a kernel 4.12.0-11-generic. Does text installer come with a different kernel?

Seth Forshee (sforshee) wrote :

Ah, yes I did forget to add the module to the installer udebs. I'll do that now.

Changed in linux (Ubuntu Artful):
status: Fix Released → In Progress
Seth Forshee (sforshee) wrote :

A quick question about VMD, which will affect what installer package vmd.ko should go in. When I search about VMD everything I read is about disk devices, yet when I read the kernel changelog and Kconfig descriptions it sounds more like a generic PCI bridge. Is it possible that there would be non-disk devices under the VMD domain, e.g. NICs?

Keith Busch (keith-busch) wrote :

The intended use for VMD is as a PCIe storage domain, so we expect only to see root ports, switches and NVMe SSDs in the VMD domain.

Linux VMD is implemented just as a PCIe host bridge driver in order to reuse existing device drivers, though, so you could theoretically connect any pci device in the domain. The drivers for those devices do not need to be aware that it is part of a VMD domain, and it does indeed work, but we don't support such usage at this time.

Seth Forshee (sforshee) wrote :

Thanks Keith. I've pushed a commit to artful 4.12 and 4.13 kernel trees to include this in the storage-core-modules udeb.

Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.13.0-11.12

---------------
linux (4.13.0-11.12) artful; urgency=low

  * linux: 4.13.0-11.12 -proposed tracker (LP: #1716699)

  * kernel panic -not syncing: Fatal exception: panic_on_oops (LP: #1708399)
    - s390/mm: fix local TLB flushing vs. detach of an mm address space
    - s390/mm: fix race on mm->context.flush_mm

  * CVE-2017-1000251
    - Bluetooth: Properly check L2CAP config option output buffer length

 -- Seth Forshee <email address hidden> Tue, 12 Sep 2017 10:18:38 -0500

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Tomasz Majchrzak (tmajchrzak) wrote :

The disks under VMD controller are visible in the installer, it is possible to install the system, however vmd.ko is not added to initrd so the system cannot boot.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.125ubuntu12

---------------
initramfs-tools (0.125ubuntu12) artful; urgency=medium

  * hook-functions: include vmd driver. (LP: #1703339)

 -- Seth Forshee <email address hidden> Fri, 13 Oct 2017 14:09:26 -0500

Changed in initramfs-tools (Ubuntu Artful):
status: New → Fix Released
Seth Forshee (sforshee) wrote :

Added xenial nomination for initramfs-tools to add vmd.ko to initrd for 16.04.4.

Changed in linux (Ubuntu Xenial):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers